/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbEtcObj {

	// ETC タイプ
	private int etc_type;
	// ETC ID
	private long etc_id;
	// ETC 名
	private String etc_name;
	// 要素名
	private String name;
	// 値
	private String value;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return etc_id
	 */
	public long getEtc_id() {
		return etc_id;
	}
	/**
	 * @param etc_id 設定する etc_id
	 */
	public void setEtc_id(long etc_id) {
		this.etc_id = etc_id;
	}
	/**
	 * @return etc_name
	 */
	public String getEtc_name() {
		return etc_name;
	}
	/**
	 * @param etc_name 設定する etc_name
	 */
	public void setEtc_name(String etc_name) {
		this.etc_name = etc_name;
	}
	/**
	 * @return etc_type
	 */
	public int getEtc_type() {
		return etc_type;
	}
	/**
	 * @param etc_type 設定する etc_type
	 */
	public void setEtc_type(int etc_type) {
		this.etc_type = etc_type;
	}
	/**
	 * @return name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name 設定する name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return value
	 */
	public String getValue() {
		return value;
	}
	/**
	 * @param value 設定する value
	 */
	public void setValue(String value) {
		this.value = value;
	}
}